<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTimeScheduleReq StructType
 * @subpackage Structs
 */
class AddTimeScheduleReq extends APIRequest
{
    /**
     * The timeSchedule
     * @var XTimeSchedule
     */
    public $timeSchedule;
    /**
     * Constructor method for AddTimeScheduleReq
     * @uses AddTimeScheduleReq::setTimeSchedule()
     * @param XTimeSchedule $timeSchedule
     */
    public function __construct(XTimeSchedule $timeSchedule = null)
    {
        $this
            ->setTimeSchedule($timeSchedule);
    }
    /**
     * Get timeSchedule value
     * @return XTimeSchedule|null
     */
    public function getTimeSchedule()
    {
        return $this->timeSchedule;
    }
    /**
     * Set timeSchedule value
     * @param XTimeSchedule $timeSchedule
     * @return AddTimeScheduleReq
     */
    public function setTimeSchedule(XTimeSchedule $timeSchedule = null)
    {
        $this->timeSchedule = $timeSchedule;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTimeScheduleReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
